Entrar

Obtener cliente

GET https://{organization}.myguper.com/api/register/customer/{person}

Devuelve el cliente por el identificador, con RFM, atributos, etiquetas, referido, watchlist, tier y membership cuando están disponibles. El array tags incluye la etapa de ciclo de vida del cliente — Lead (5), Customer (6) o Churn (7).

Try-it values populated from environment ACME (Demo)


Autenticación

Token

Send your user token in the x-guper-authorization header.

Encabezados

Name Type Description
x-guper-authorization * string User token issued by Guper.
Content-Type * string Always `application/json` for endpoints that accept a JSON body.

Parámetros de ruta

Name Type Description
person * string Customer ID (person identifier within the organization).

Respuestas

{
    "id": 4224868,
    "mainId": null,
    "entityType": null,
    "name": "ivone suerez",
    "email": "freshcoolingscsa@gmail.com",
    "countryCallingCode": 52,
    "cellphone": "2224366229",
    "document": null,
    "gender": "female",
    "postalCode": "72000",
    "dateOfBirth": "1984-02-13T00:00:00-03:00",
    "language": null,
    "flags": null,
    "matchWith": null,
    "isHomologation": 0,
    "validatedAt": "2026-05-28T23:19:11-03:00",
    "pinType": "dynamic",
    "pinExpiresAt": "2026-05-28T23:48:35-03:00",
    "optin": "2026-05-28T23:18:34-03:00",
    "privacyAccepted": null,
    "createdAt": "2026-05-28T20:17:11-03:00",
    "updatedAt": "2026-05-28T20:19:10-03:00",
    "firstName": "Ivone",
    "lastName": "Suerez",
    "rfm": {
        "firstPurchaseId": 5578246,
        "lastPurchaseId": 5578246,
        "firstPurchaseDate": "2026-05-28T20:20:26-03:00",
        "lastPurchaseDate": "2026-05-28T20:20:26-03:00",
        "averagePurchaseInterval": 0,
        "totalPurchaseValue": 481003,
        "totalPurchases": 1,
        "daysWithoutPurchase": 0,
        "lastRewardCardId": 1801158,
        "lastRewardCardDate": "2026-05-28T23:20:26-03:00"
    },
    "attributes": {
        "firstStore": 12,
        "lastStore": 12,
        "lastSalesperson": null,
        "flags": null
    },
    "store": 12,
    "tags": [
        {
            "tag": 6,
            "name": "Customer",
            "createdAt": "2026-05-28T20:20:26-03:00"
        },
        {
            "tag": 2,
            "name": "Opt-in",
            "createdAt": "2026-05-28T20:18:34-03:00"
        },
        {
            "tag": 453,
            "name": "Cashback Silver - Boutique",
            "createdAt": "2026-05-28T20:20:26-03:00"
        },
        {
            "tag": 90,
            "name": "Gold",
            "createdAt": "2026-05-28T20:20:26-03:00"
        }
    ],
    "referral": {
        "person": 4220011,
        "expiredAt": "2026-06-28T20:17:11-03:00"
    },
    "watchlist": [
        {
            "listType": "blocklist",
            "reason": "fraud suspicion",
            "syncedAt": "2026-05-28T20:17:11-03:00"
        }
    ],
    "tier": {
        "tierConfig": 2,
        "activePoints": 4810,
        "levelId": 2,
        "levelName": "Gold",
        "nextLevel": "Platinum",
        "pointsToNext": 3190
    },
    "membership": {
        "isMember": true,
        "tierConfig": 2,
        "joinedAt": "2026-05-28T23:18:34-03:00"
    },
    "lifecycle": {
        "stage": "customer",
        "churnAt": "2026-08-25T20:20:26-03:00",
        "churnedAt": null
    },
    "metadata": {
        "shirt_size": "M",
        "kid_birthday": "2015-03-01"
    }
}
Copied to clipboard